add_library(mb_hmi STATIC
    mb_command.c
    mb_server.c
    mb_interface.c
)

target_include_directories(mb_hmi
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}
)

target_link_libraries(mb_hmi
    PUBLIC nanomodbus
)